{**********************************************************************
                PilotLogic Software House.
  
 Package pl_Abbrevia.pkg
 This unit is part of CodeTyphon Project (http://www.pilotlogic.com/)
***********************************************************************}

unit allAbbreviaReg;

{$I AbDefine.inc}

interface

uses
  Classes,
  LCLIntf, LCLType, LMessages,
  LResources,
  PropEdits,
  AbComCtrls,
  {$IFDEF MSWINDOWS}
  AbCBrows, AbCabExt, AbCabMak, AbCabKit,AbCView,

  {$ENDIF}
  AbZBrows, AbUnzper, AbZipper, AbZipKit, AbSelfEx,
  AbZipOut;

procedure Register;

implementation

 {$R allAbbreviaReg.res}
 
uses
  AbView,
  AbUtils,
  AbBrowse,
  AbZView,
  AbPeDir,
  AbPeFn,
  AbPePass,
  AbPeCol,
  SysUtils;

procedure Register;
begin

RegisterPropertyEditor( TypeInfo( string ), TAbZipBrowser, 'FileName',
                        TAbFileNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipper, 'FileName',
                        TAbFileNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbUnZipper, 'FileName',
                        TAbFileNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipKit, 'FileName',
                        TAbFileNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipOutline, 'FileName',
                        TAbFileNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipBrowser, 'LogFile',
                        TAbLogNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipper, 'LogFile',
                        TAbLogNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbUnZipper, 'LogFile',
                        TAbLogNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipKit, 'LogFile',
                        TAbLogNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipOutline, 'LogFile',
                        TAbLogNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbMakeSelfExe, 'SelfExe',
                        TAbExeNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbMakeSelfExe, 'StubExe',
                        TAbExeNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbMakeSelfExe, 'ZipFile',
                        TAbFileNameProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipBrowser, 'BaseDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipper, 'BaseDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbUnZipper, 'BaseDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipKit, 'BaseDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipOutline, 'BaseDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipBrowser, 'TempDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipper, 'TempDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbUnZipper, 'TempDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipKit, 'TempDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipOutline, 'TempDirectory',
                        TAbDirectoryProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipBrowser, 'Password',
                        TAbPasswordProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipper, 'Password',
                        TAbPasswordProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbUnZipper, 'Password',
                        TAbPasswordProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipKit, 'Password',
                        TAbPasswordProperty );
RegisterPropertyEditor( TypeInfo( string ), TAbZipOutline, 'Password',
                        TAbPasswordProperty );
RegisterPropertyEditor( TypeInfo( TAbColHeadings ), TAbZipView, 'Headings',
                        TAbColHeadingsProperty );

{$IFDEF MSWINDOWS}

  RegisterPropertyEditor( TypeInfo( string ), TAbCabBrowser, 'FileName',
                          TAbCabNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbMakeCab, 'FileName',
                          TAbCabNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabExtractor, 'FileName',
                          TAbCabNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabKit, 'FileName',
                          TAbCabNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabBrowser, 'BaseDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbMakeCab, 'BaseDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabExtractor, 'BaseDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabKit, 'BaseDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabBrowser, 'LogFile',
                          TAbLogNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbMakeCab, 'LogFile',
                          TAbLogNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabExtractor, 'LogFile',
                          TAbLogNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabKit, 'LogFile',
                          TAbLogNameProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabBrowser, 'TempDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbMakeCab, 'TempDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabExtractor, 'TempDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( string ), TAbCabKit, 'TempDirectory',
                          TAbDirectoryProperty );
  RegisterPropertyEditor( TypeInfo( TAbColHeadings ), TAbCabView, 'Headings',
                          TAbColHeadingsProperty );

{$ENDIF}

  RegisterComponents( 'Abbrevia',
                      [ TAbZipBrowser,
                        TAbUnzipper,
                        TAbZipper,
                        TAbZipKit,
                        TAbZipDisplayOutline,
                        TAbZipOutline,
                        TAbZipView,
                        {$IFDEF MSWINDOWS}
                        TAbCabBrowser,
                        TAbCabExtractor,
                        TAbMakeCab,
                        TAbCabKit,
                        TAbCabView,
                        {$ENDIF}
                        TAbMakeSelfExe,
                        TAbProgressBar,
                        TAbMeter,
                        TAbTreeView,
                        TAbListView
                        ]);
end;

end.
